%define url_ver %(echo %{version} | cut -d. -f1,2)

%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Name:		xfce4-whiskermenu-plugin
Version:	2.9.0
Release:	%mkrel 1
Summary:	An alternate application launcher for Xfce
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://gottcode.org/xfce4-whiskermenu-plugin/
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-whiskermenu-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
# for %%autosetup -S git_am
BuildRequires:	git-core
BuildRequires:	cmake
BuildRequires:	pkgconfig(accountsservice)
BuildRequires:	pkgconfig(exo-2)
BuildRequires:	pkgconfig(garcon-1)
BuildRequires:	pkgconfig(gtk-layer-shell-0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
Requires:	xfce4-panel
Requires:	hicolor-icon-theme

%description
Alternate application launcher for Xfce. When you open it you are shown
a list of applications you have marked as favorites. You can browse through
all of your installed applications by clicking on the category buttons on the
side. Top level categories make browsing fast, and simple to switch between.
Additionally, Whisker Menu keeps a list of the last ten applications
that you've launched from it.

%prep
%autosetup -p1 -S git_am

%build
%cmake \
	-DCMAKE_INSTALL_DO_STRIP:BOOL=OFF \
	-DCMAKE_STRIP:PATH=%{_bindir}/true
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README NEWS
%{_bindir}/xfce4-popup-whiskermenu
%{_libdir}/xfce4/panel/plugins/libwhiskermenu.so
%{_datadir}/xfce4/panel/plugins/whiskermenu.desktop
%{_datadir}/icons/hicolor/*/apps/org.xfce.panel.whiskermenu.{png,svg}
%{_mandir}/man1/xfce4-popup-whiskermenu.1*


%changelog
* Thu Feb 06 2025 wally <wally> 2.9.0-1.mga10
+ Revision: 2145832
- new version 2.9.0

* Sun Jan 05 2025 wally <wally> 2.8.4-1.mga10
+ Revision: 2135584
- new version 2.8.4

* Sun Jan 21 2024 daviddavid <daviddavid> 2.8.3-1.mga10
+ Revision: 2033236
- new version: 2.8.3

* Sun Dec 24 2023 wally <wally> 2.8.2-1.mga10
+ Revision: 2021034
- new version 2.8.2

* Sat Nov 18 2023 wally <wally> 2.8.1-1.mga10
+ Revision: 2007666
- new version 2.8.1

* Sun Sep 10 2023 wally <wally> 2.8.0-1.mga10
+ Revision: 1985898
- new version 2.8.0

* Fri Apr 28 2023 wally <wally> 2.7.3-1.mga9
+ Revision: 1955235
- new version 2.7.3

* Thu Jan 19 2023 wally <wally> 2.7.2-1.mga9
+ Revision: 1934426
- new version 2.7.2

* Mon Apr 04 2022 umeabot <umeabot> 2.7.1-2.mga9
+ Revision: 1843940
- Mageia 9 Mass Rebuild

* Sat Dec 11 2021 wally <wally> 2.7.1-1.mga9
+ Revision: 1761529
- new version 2.7.1
- BR accountsservice

* Tue Nov 23 2021 wally <wally> 2.7.0-1.mga9
+ Revision: 1758750
- new version 2.7.0

* Sun Nov 14 2021 wally <wally> 2.6.2-1.mga9
+ Revision: 1756223
- new version 2.6.2

* Thu Oct 14 2021 wally <wally> 2.6.1-1.mga9
+ Revision: 1751429
- new version 2.6.1

* Fri Sep 24 2021 wally <wally> 2.6.0-1.mga9
+ Revision: 1746290
- new version 2.6.0

* Fri Feb 26 2021 wally <wally> 2.5.3-1.mga9
+ Revision: 1691971
- new version 2.5.3

* Sat Jan 16 2021 wally <wally> 2.5.2-1.mga8
+ Revision: 1672008
- new version 2.5.2

* Sun Jan 03 2021 wally <wally> 2.5.1-1.mga8
+ Revision: 1668380
- new version 2.5.1

* Fri Dec 25 2020 wally <wally> 2.5.0-1.mga8
+ Revision: 1663629
- new version 2.5.0

* Thu Jul 23 2020 wally <wally> 2.4.6-1.mga8
+ Revision: 1608543
- new version 2.4.6

* Tue Jul 21 2020 wally <wally> 2.4.5-1.mga8
+ Revision: 1607611
- new version 2.4.5

* Wed Apr 22 2020 wally <wally> 2.4.4-1.mga8
+ Revision: 1571137
- new version 2.4.4

* Thu Mar 12 2020 wally <wally> 2.4.3-1.mga8
+ Revision: 1555901
- new version 2.4.3

* Thu Feb 20 2020 daviddavid <daviddavid> 2.4.2-1.mga8
+ Revision: 1546890
- new version: 2.4.2

* Wed Feb 19 2020 umeabot <umeabot> 2.3.5-2.mga8
+ Revision: 1543193
- Mageia 8 Mass Rebuild

* Sun Jan 19 2020 wally <wally> 2.3.5-1.mga8
+ Revision: 1481470
- new version 2.3.5

* Thu Dec 26 2019 wally <wally> 2.3.4-2.mga8
+ Revision: 1470107
- build using new cmake macros

* Sat Nov 09 2019 wally <wally> 2.3.4-1.mga8
+ Revision: 1458895
- new version 2.3.4

* Tue Aug 13 2019 wally <wally> 2.3.3-1.mga8
+ Revision: 1429202
- new version 2.3.3

* Tue Mar 26 2019 wally <wally> 2.3.2-1.mga7
+ Revision: 1380355
- new version 2.3.2
- drop upstreamed patches

* Sun Feb 03 2019 wally <wally> 2.3.1-2.mga7
+ Revision: 1362893
- add upstream patch to fix editing menu items containting a single quote (xfce#15091)

* Sat Jan 19 2019 wally <wally> 2.3.1-1.mga7
+ Revision: 1358149
- new version 2.3.1

* Wed Oct 03 2018 wally <wally> 2.3.0-1.mga7
+ Revision: 1317191
- new version 2.3.0

* Sun Sep 23 2018 umeabot <umeabot> 2.2.1-2.mga7
+ Revision: 1301891
- Mageia 7 Mass Rebuild

* Fri Jul 13 2018 wally <wally> 2.2.1-1.mga7
+ Revision: 1243456
- new version 2.2.1

* Mon May 21 2018 wally <wally> 2.2.0-1.mga7
+ Revision: 1231131
- new version 2.2.0

* Sun Apr 22 2018 wally <wally> 2.1.7-1.mga7
+ Revision: 1221147
- new version 2.1.7

* Fri Apr 13 2018 wally <wally> 2.1.6-1.mga7
+ Revision: 1218383
- new version 2.1.6

* Fri Dec 29 2017 wally <wally> 2.1.5-1.mga7
+ Revision: 1186955
- new version 2.1.5

* Mon Dec 04 2017 wally <wally> 2.1.4-1.mga7
+ Revision: 1181211
- new version 2.1.4

* Sat Sep 30 2017 wally <wally> 2.1.3-1.mga7
+ Revision: 1162011
- new version 2.1.3
- switch to gtk3

* Sat Jan 07 2017 wally <wally> 1.6.2-1.mga6
+ Revision: 1080413
- new version 1.6.2

* Sat Aug 20 2016 wally <wally> 1.6.0-1.mga6
+ Revision: 1047442
- new version 1.6.0

* Wed Apr 27 2016 wally <wally> 1.5.2-2.mga6
+ Revision: 1006992
- add patches from upstream
  * fix disappearing menu categories (xfce#12541)
  * fix stuck button highlight (xfce#12402)

* Sun Mar 13 2016 wally <wally> 1.5.2-1.mga6
+ Revision: 990255
- new version 1.5.2 with upstream fix for build time warning (xfce#12398)

* Wed Feb 17 2016 umeabot <umeabot> 1.5.1-2.mga6
+ Revision: 963603
- Mageia 6 Mass Rebuild

* Sat Sep 26 2015 wally <wally> 1.5.1-1.mga6
+ Revision: 883796
- new version 1.5.1

* Sat Sep 19 2015 wally <wally> 1.5.0-2.mga6
+ Revision: 881358
- disable stripping to get debuginfo pkg

* Sat Jun 20 2015 wally <wally> 1.5.0-1.mga6
+ Revision: 836227
- new version 1.5.0

* Tue Mar 03 2015 wally <wally> 1.4.3-2.mga5
+ Revision: 817462
- rebuild for new libxfce4util

* Tue Feb 17 2015 wally <wally> 1.4.3-1.mga5
+ Revision: 815387
- new version 1.4.3

* Sat Feb 07 2015 wally <wally> 1.4.2-1.mga5
+ Revision: 813874
- new version 1.4.2

* Sat Dec 06 2014 wally <wally> 1.4.1-1.mga5
+ Revision: 801744
- new version 1.4.1

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-3.mga5
+ Revision: 749030
- Second Mageia 5 Mass Rebuild

* Sun Sep 21 2014 umeabot <umeabot> 1.4.0-2.mga5
+ Revision: 706911
- Mageia 5 Mass Rebuild

* Wed Jun 25 2014 wally <wally> 1.4.0-1.mga5
+ Revision: 639686
- new version 1.4.0
- drop patches from upstream

* Sun May 11 2014 wally <wally> 1.3.2-2.mga5
+ Revision: 621966
- add patch from upstream to load apps menu immediately

* Wed Mar 19 2014 wally <wally> 1.3.2-1.mga5
+ Revision: 605567
- new version 1.3.2

* Tue Feb 04 2014 wally <wally> 1.3.1-1.mga5
+ Revision: 580969
- new version 1.3.1
- add patch from upstream to allow swapping categories and launchers location

* Sun Dec 22 2013 wally <wally> 1.2.2-1.mga4
+ Revision: 559941
- import xfce4-whiskermenu-plugin (based on .spec from Fedora)

